#83 PCRE 8.30 break Dansguardian on Archlinux

open
nobody
None
5
2014-08-21
2012-06-12
No

Ever since PCRE 8.30 came out, Dansguardian seems to have been incompatible with it, even though it builds against it fine.

When attempting to start Dansguardian:
std::bad_alloc
Error parsing the dansguardian.conf file or other DansGuardian configuration files

Adding a copy of PCRE 8.21 to LD_LIBRARY_PATH fixes the problem and Dansguardian runs fine. Archlinux is pretty much as vanilla as it comes. For details of how it's being built, see the build script here:

https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/dansguardian

Archlinux bug: https://bugs.archlinux.org/task/28459

Discussion

  • Aecio F. Neto

    Aecio F. Neto - 2012-09-21

    I still have no solution for this other than downgrading pcre.
    Let us keep this under analysis yet, please.

     
  • Marcelloc

    Marcelloc - 2013-01-17

    It´s fixed since pcre 8.30_1

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks